io.vertx.rxjava3.ext.web.handler

## Class ChainAuthHandler

- java.lang.Object
- - io.vertx.rxjava3.ext.web.handler.ChainAuthHandler

- All Implemented Interfaces:
    Handler<RoutingContext>, AuthenticationHandler

      public class ChainAuthHandler
      extends Object
      implements AuthenticationHandler, Handler<RoutingContext>

  An auth handler that chains to a sequence of handlers.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ChainAuthHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChainAuthHandler(ChainAuthHandler delegate)`
    `ChainAuthHandler(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChainAuthHandler` | `add(AuthenticationHandler other)` Appends a auth provider to the chain.
    `static ChainAuthHandler` | `all()` Create a chain authentication handler that will assert that all handlers pass the verification.
    `static ChainAuthHandler` | `any()` Create a chain authentication handler that will assert that any handler passes the verification.
    `static ChainAuthHandler` | `create()` Deprecated.
    `boolean` | `equals(Object o)`
    `ChainAuthHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static ChainAuthHandler` | `newInstance(ChainAuthHandler arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava3.ext.web.handler.AuthenticationHandler

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ChainAuthHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### ChainAuthHandler

          public ChainAuthHandler(ChainAuthHandler delegate)

    - #### ChainAuthHandler

          public ChainAuthHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ChainAuthHandler getDelegate()

      Specified by:
        `getDelegate` in interface `AuthenticationHandler`

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `AuthenticationHandler`
      Parameters:
        `event` - the event to handle

    - #### create

          @Deprecated
          public static ChainAuthHandler create()

      Deprecated.
      Returns:

    - #### all

          public static ChainAuthHandler all()

      Create a chain authentication handler that will assert that all handlers pass the verification.
      Returns:
        a new chain authentication handler

    - #### any

          public static ChainAuthHandler any()

      Create a chain authentication handler that will assert that any handler passes the verification.
      Returns:
        a new chain authentication handler

    - #### add

          public ChainAuthHandler add(AuthenticationHandler other)

      Appends a auth provider to the chain.
      Parameters:
        `other` - auth handler
      Returns:
        self

    - #### newInstance

          public static ChainAuthHandler newInstance(ChainAuthHandler arg)

Copyright © 2022 Eclipse. All rights reserved.